| AOMedia AV1 Codec

Data Fields
InitialDimensions Struct Reference

Initial frame dimensions. More...

`#include <encoder.h>`

## Data Fields
int | width
int | height

## Detailed Description

Initial frame dimensions.

Tracks the frame dimensions using which:

- Frame buffers (like altref and util frame buffers) were allocated
- Motion estimation related initializations were done This structure is helpful to reallocate / reinitialize the above when there is a change in frame dimensions.

## Field Documentation

## ◆ width

int InitialDimensions::width

initial width

## ◆ height

int InitialDimensions::height

initial height

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h